{% extends "base.html" %}

{%- block site_name %}
<a class="navbar-brand" href="{{ nav.homepage.url|url }}">
    {% if config.logo %}
    <img src="{{ config.logo | url }}" alt="logo" />
    {% endif %}
    {{ config.site_name }}
</a>
{%- endblock %}


{%- block footer %}
<hr>
{%- if config.copyright %}
  <p>{{ config.copyright }}</p>
{%- endif %}

<div id="feedbackSection">
  <div class="hover-area">
    <button id="feedbackButton">
      <span class="question-mark"><b>?</b></span>
      Highlight text and click here to report a docs bug
    </button>
  </div>
</div>

<script>
  document.getElementById('feedbackButton').onclick = function () {
    const pageURL = encodeURIComponent(window.location.href);
    const selectedText = encodeURIComponent(window.getSelection().toString() || "Provide your feedback here.");
    const issueURL = `https://gitlab.com/CentOS/automotive/sig-docs/-/issues/new?issue[title]=Feedback:+&issue[description]=Page+URL:+${pageURL}%0A%0AHighlighted+Text:+${selectedText}%0A%0A
**Environment:**%0A[Specify the environment where the issue occurs. Arch, host OS, etc.]%0A%0A
**Steps to reproduce:**%0A[List the steps to reproduce the issue]%0A%0A
**Expected result:**%0A[Describe what you expected to happen]%0A%0A
**Actual result:**%0A[Describe what actually happened]%0A%0A
**Severity/impact:**%0A[Rate the impact of this issue (e.g., Low, Medium, High)]%0A%0A`;

    window.open(issueURL, '_blank'); // Opens the GitLab issue form in a new tab
  };
</script>

{%- endblock %}
